UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
com.latencybusters.pdm.PDMFieldType Class Reference

PDMFieldType enumeration used when adding field information to a PDMDefinition. More...

## Public Member Functions
short | getType ()
| Gets the short indicating the type. More...
String | getTypeStr ()
| Gets the String name of the type. More...

## Static Public Member Functions
static PDMFieldType | getType (short type)
| Gets the PDMFieldType object from the short type passed in. More...

## Static Public Attributes
static readonly short | FIRST = 0
| The int index of the first valid field type.
static readonly short | LAST = 37
| The int index of the last valid field type.
static readonly PDMFieldType | UNKNOWN = new UnknownType()
| An unknown field type.
static readonly PDMFieldType | BOOLEAN = new BooleanType()
| The BOOLEAN PDM field type.
static readonly PDMFieldType | INT8 = new Int8Type()
| The INT8 PDM field type.
static readonly PDMFieldType | UINT8 = new UInt8Type()
| The UINT8 PDM field type.
static readonly PDMFieldType | INT16 = new Int16Type()
| The INT16 PDM field type.
static readonly PDMFieldType | UINT16 = new UInt16Type()
| The UINT16 PDM field type.
static readonly PDMFieldType | INT32 = new Int32Type()
| The INT32 PDM field type.
static readonly PDMFieldType | UINT32 = new UInt32Type()
| The UINT32 PDM field type.
static readonly PDMFieldType | INT64 = new Int64Type()
| The INT64 PDM field type.
static readonly PDMFieldType | UINT64 = new UInt64Type()
| The UINT64 PDM field type.
static readonly PDMFieldType | FLOAT = new FloatType()
| The FLOAT PDM field type.
static readonly PDMFieldType | DOUBLE = new DoubleType()
| The DOUBLE PDM field type.
static readonly PDMFieldType | DECIMAL = new DecimalType()
| The DECIMAL PDM field type.
static readonly PDMFieldType | TIMESTAMP = new TimestampType()
| The TIMESTAMP PDM field type.
static readonly PDMFieldType | FIX_STRING = new FixStringType()
| The FIX_STRING PDM field type.
static readonly PDMFieldType | STRING = new StringType()
| The STRING PDM field type.
static readonly PDMFieldType | FIX_UNICODE = new FixUnicodeType()
| The FIX_UNICODE PDM field type.
static readonly PDMFieldType | UNICODE = new UnicodeType()
| The UNICODE PDM field type.
static readonly PDMFieldType | BLOB = new BlobType()
| The BLOB PDM field type.
static readonly PDMFieldType | MESSAGE = new MessageType()
| The MESSAGE PDM field type.
static readonly PDMFieldType | BOOLEAN_ARR = new BooleanArrayType()
| The BOOLEAN array PDM field type.
static readonly PDMFieldType | INT8_ARR = new Int8ArrayType()
| The INT8 array PDM field type.
static readonly PDMFieldType | UINT8_ARR = new UInt8ArrayType()
| The UINT8 array PDM field type.
static readonly PDMFieldType | INT16_ARR = new Int16ArrayType()
| The INT16 array PDM field type.
static readonly PDMFieldType | UINT16_ARR = new UInt16ArrayType()
| The UINT16 array PDM field type.
static readonly PDMFieldType | INT32_ARR = new Int32ArrayType()
| The INT32 array PDM field type.
static readonly PDMFieldType | UINT32_ARR = new UInt32ArrayType()
| The UINT32 array PDM field type.
static readonly PDMFieldType | INT64_ARR = new Int64ArrayType()
| The INT64 array PDM field type.
static readonly PDMFieldType | UINT64_ARR = new UInt64ArrayType()
| The UINT64 array PDM field type.
static readonly PDMFieldType | FLOAT_ARR = new FloatArrayType()
| The FLOAT array PDM field type.
static readonly PDMFieldType | DOUBLE_ARR = new DoubleArrayType()
| The DOUBLE array PDM field type.
static readonly PDMFieldType | DECIMAL_ARR = new DecimalArrayType()
| The DECIMAL array PDM field type.
static readonly PDMFieldType | TIMESTAMP_ARR = new TimestampArrayType()
| The TIMESTAMP array PDM field type.
static readonly PDMFieldType | FIX_STRING_ARR = new FixStringArrayType()
| The FIX_STRING array PDM field type.
static readonly PDMFieldType | STRING_ARR = new StringArrayType()
| The STRING array PDM field type.
static readonly PDMFieldType | FIX_UNICODE_ARR = new FixUnicodeArrayType()
| The FIX_UNICODE array PDM field type.
static readonly PDMFieldType | UNICODE_ARR = new UnicodeArrayType()
| The UNICODE array PDM field type.
static readonly PDMFieldType | BLOB_ARR = new BlobArrayType()
| The BLOB array PDM field type.
static readonly PDMFieldType | MESSAGE_ARR = new MessageArrayType()
| The MESSAGE array PDM field type.

## Protected Member Functions
| PDMFieldType (short type, String typeStr, int len, bool isfixed, bool array)
| The internal constructor used for the different enums. More...

## Detailed Description

PDMFieldType enumeration used when adding field information to a PDMDefinition.

## Constructor & Destructor Documentation

com.latencybusters.pdm.PDMFieldType.PDMFieldType | ( | short | type,
|  | String | typeStr,
|  | int | len,
|  | bool | isfixed,
|  | bool | array
| ) |  |
| protected

The internal constructor used for the different enums.

Parameters

  type | the short representing the field type
  typeStr | the string name of the field type
  len | the known length in bytes of the type or 0
  isfixed | whether or not the field type is fixed length
  array | whether or not the field type is an array type

## Member Function Documentation

short com.latencybusters.pdm.PDMFieldType.getType | ( |  | ) |

Gets the short indicating the type.

Returns
  the short

Referenced by com.latencybusters.pdm.PDMField.isValueSet().

static PDMFieldType com.latencybusters.pdm.PDMFieldType.getType | ( | short | type | ) |
| static

Gets the PDMFieldType object from the short type passed in.

Parameters

  type | the short indicating the type

Returns
  the PDMFieldType object or the UNKNOWN type

String com.latencybusters.pdm.PDMFieldType.getTypeStr | ( |  | ) |

Gets the String name of the type.

Returns
  the string name

The documentation for this class was generated from the following file:

- PDMFieldType.cs